=== debian/changelog ===
ros-kinetic-willow-maps (1.0.3-0xenial) xenial; urgency=high

  * Merge pull request #2 <https://github.com/pr2/willow_maps/issues/2> from k-okada/fix_cmake
    Fix cmake
  * Merge pull request #1 <https://github.com/pr2/willow_maps/issues/1> from k-okada/orph
    change maintainer to ROS orphaned package maintainer
  * update CMake files
    use download.ros.org instead of code.ros.org/svn
    remove willow-2010-02-18-0.025.pgm and willow-sans-whitelab-2010-02-18-0.025.pgm, whcih are not found in download.ros.org
    add code to install .xml and .pgm files
  * change maintainer to ROS orphaned package maintainer
  * Changed willow maps names
  * Contributors: Kei Okada, TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 15:00:00 -0000

ros-kinetic-willow-maps (1.0.2-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 05 Feb 2015 15:00:00 -0000
